# Author: Jacob Smullyan <jsmullyan@gmail.com>
# Copyright 2007 WNYC New York Public Radio

ADUFORMAT=[
    ['Record Type', 'yes', 1, 'CHAR', 1, 1, 'D'],
    ['Account ID', 'maybe-A', 9, 'NUMBER', 2, 10, ''],
    ['Transaction Name ID', 'no', 2, 'NUMBER', 11, 12, ''],
    ['Transaction Name Order', 'no', 2, 'NUMBER', 13, 14, ''],
    ['Alternate Account ID', 'no', 20, 'CHAR', 15, 34, ''],
    ['Account Status', 'no', 2, 'CHAR', 35, 36, 'blank'],
    ['Termination Code', 'no', 2, 'CHAR', 37, 38, 'blank (would be reason for termination)'],
    ['Do Name 1 Update', 'no', 1, 'BOOL', 39, 39, 'N, except for change (then Y). Blank if new'],
    ['Name ID', 'no', 2, 'NUMBER', 40, 41, ''],
    ['Name Order', 'no', 2, 'NUMBER', 42, 43, 'leave blank'],
    ['Title 1', 'no', 8, 'CHAR', 44, 51, 'list of valid titles'],
    ['First Name 1', 'maybe-A', 20, 'CHAR', 52, 71, ''],
    ['Middle Name 1', 'no', 20, 'CHAR', 72, 91, ''],
    ['Last Name 1', 'maybe-A', 40, 'CHAR', 92, 131, ''],
    ['Suffix 1', 'no', 5, 'CHAR', 132, 136, 'list of valid suffixes'],
    ['Gender 1', 'no', 1, 'CHAR', 137, 137, ''],
    ['Birth Day 1', 'no', 2, 'NUMBER', 138, 139, 'DD'],
    ['Birth Month 1', 'no', 2, 'NUMBER', 140, 141, 'MM'],
    ['Birth Year 1', 'no', 4, 'NUMBER', 142, 145, 'YYYY'],
    ['Deceased flag 1', 'no', 1, 'BOOL', 146, 146, 'Y if deceased'],
    ['Deceased Day 1', 'no', 2, 'NUMBER', 147, 148, 'DD'],
    ['Deceased Month 1', 'no', 2, 'NUMBER', 149, 150, 'MM'],
    ['Deceased Year 1', 'no', 4, 'NUMBER', 151, 154, 'YYYY'],
    ['Do Name 2 Update', 'no', 1, 'BOOL', 155, 155, 'N, except for change (then Y). Blank if new'],
    ['Name ID 2', 'no', 2, 'NUMBER', 156, 157, ''],
    ['Name Order 2', 'no', 2, 'NUMBER', 158, 159, 'leave blank'],
    ['Title 2', 'no', 8, 'CHAR', 160, 167, ''],
    ['First Name 2', 'no-33', 20, 'CHAR', 168, 187, ''],
    ['Middle Name 2', 'no', 20, 'CHAR', 188, 207, ''],
    ['Last Name 2', 'no-31', 40, 'CHAR', 208, 247, ''],
    ['Suffix 2', 'no', 5, 'CHAR', 248, 252, ''],
    ['Gender 2', 'no', 1, 'CHAR', 253, 253, ''],
    ['Birth Day 2', 'no', 2, 'NUMBER', 254, 255, 'DD'],
    ['Birth Month 2', 'no', 2, 'NUMBER', 256, 257, 'MM'],
    ['Birth Year 2', 'no', 4, 'NUMBER', 258, 261, 'YYYY'],
    ['Deceased flag 2', 'no', 1, 'BOOL', 262, 262, 'Y if deceased'],
    ['Deceased Day 2', 'no', 2, 'NUMBER', 263, 264, 'DD'],
    ['Deceased Month 2', 'no', 2, 'NUMBER', 265, 266, 'MM'],
    ['Deceased Year 2', 'no', 4, 'NUMBER', 267, 270, 'YYYY'],
    ['Do Address Update', 'no', 1, 'BOOL', 271, 271, 'N, except for change (then Y). Blank if new'],
    ['Address ID', 'no', 2, 'NUMBER', 272, 273, '(which to update)  can be blank,  P,  S  or a number from 1-99'],
    ['Street Number', 'maybe-A', 8, 'CHAR', 274, 281, ''],
    ['Street Name', 'maybe-A', 30, 'CHAR', 282, 311, ''],
    ['Apartment Number', 'no', 8, 'CHAR', 312, 319, ''],
    ['Extra Line', 'no', 20, 'CHAR', 320, 339, '(suite # or bldg.)'],
    ['City', 'maybe-A', 30, 'CHAR', 340, 369, ''],
    ['State', 'maybe-A', 2, 'CHAR', 370, 371, 'list of valid codes'],
    ['Zip Code', 'maybe-A', 8, 'CHAR', 372, 379, 'list of valid codes'],
    ['Zip Extension', 'no', 4, 'CHAR', 380, 383, ''],
    ['Country', 'no', 4, 'CHAR', 384, 387, 'blank is OK. List of valid codes'],
    ['Telephone Name ID 1', 'no', 2, 'NUMBER', 388, 389, ''],
    ['Telephone Name Order 1', 'no', 2, 'NUMBER', 390, 391, ''],
    ['Do Telephone 1 Update', 'no', 1, 'BOOL', 392, 392, 'can be blank,  Y  or  N.  (blank if new)'],
    ['Telephone 1 ID', 'no', 2, 'NUMBER', 393, 394, '(which to update)  can be blank,  P,  S  or a number from 1-99'],
    ['Telephone Number 1', 'no-59', 10, 'CHAR', 395, 404, 'unformatted'],
    ['Telephone Type 1', 'no-58', 2, 'CHAR', 405, 406, 'list of valid codes'],
    ['Telephone Extension 1', 'no', 6, 'CHAR', 407, 412, ''],
    ['Telephone Name ID 2', 'no', 2, 'NUMBER', 413, 414, ''],
    ['Telephone Name Order 2', 'no', 2, 'NUMBER', 415, 416, ''],
    ['Do Telephone 2 Update', 'no', 1, 'BOOL', 417, 417, 'can be blank,  Y  or  N.  (blank if new)'],
    ['Telephone 2 ID', 'no', 2, 'NUMBER', 418, 419, '(which to update)  can be blank,  P,  S  or a number from 1-99'],
    ['Telephone Number 2', 'no-66', 10, 'CHAR', 420, 429, 'unformatted'],
    ['Telephone Type 2', 'no-65', 2, 'CHAR', 430, 431, ''],
    ['Telephone Extension 2', 'no', 6, 'CHAR', 432, 437, ''],
    ['Email Name ID 1', 'no', 2, 'CHAR', 438, 439, ''],
    ['Email Name Order 1', 'no', 2, 'CHAR', 440, 441, ''],
    ['Do Email Update 1', 'no', 1, 'BOOL', 442, 442, 'can be blank,  Y  or  N.  (blank if new)'],
    ['Email ID 1', 'no', 2, 'NUMBER', 443, 444, ''],
    ['Email Address 1', 'no-73', 100, 'CHAR', 445, 544, ''],
    ['Email Type 1', 'no-72', 2, 'CHAR', 545, 546, 'list of valid codes'],
    ['Email Name ID 2', 'no', 2, 'CHAR', 547, 548, ''],
    ['Email Name Order 2', 'no', 2, 'CHAR', 549, 550, ''],
    ['Do Email Update 2', 'no', 1, 'BOOL', 551, 551, 'can be blank,  Y  or  N.  (blank if new)'],
    ['Email ID 2', 'no', 2, 'NUMBER', 552, 553, ''],
    ['Email Address 2', 'no-79', 100, 'CHAR', 554, 653, ''],
    ['Email Type 2', 'no-78', 2, 'CHAR', 654, 655, 'list of valid codes'],
    ['Adjustment Code', 'no', 2, 'CHAR', 656, 657, 'blank'],
    ['Pledge Number', 'maybe-A', 10, 'NUMBER', 658, 667, 'pre-supplied, or TA assign?'],
    ['Pledge Time', 'maybe-B', 17, 'DATETIME adudatetime', 668, 684, 'DD-MON-YYHH24:MI:SS  07-MAY-0412:15:10'],
    ['Activity', 'no', 2, 'CHAR', 685, 686, 'blank if Source Code is non blank'],
    ['Campaign', 'maybe-B', 1, 'CHAR', 687, 687, 'If On-Air, this field = P or K, else blank'],
    ['Gift Kind', 'yes, 92-4 if IN/SG', 2, 'CHAR', 688, 689, 'OP, IN, SG (one time, install, sustainer gift)'],
    ['Fund Type', 'no', 1, 'CHAR', 690, 690, 'blank'],
    ['Source', 'maybe-B', 14, 'CHAR', 691, 704, 'pre-supplied or TA assign from plg. Date+time?'],
    ['Solicitor', 'no', 8, 'CHAR', 705, 712, ''],
    ['Affiliation', 'no', 8, 'CHAR', 713, 720, 'can be blank or:  RD, TV, BO'],
    ['Pledge Amount', 'maybe-C', 11, 'MONEY', 721, 731, '$$00 (must have trailing 00 with no decimal point)'],
    ['Payment Amount', 'maybe-C', 11, 'MONEY', 732, 742, '$$00 (must have trailing 00 with no decimal point)'],
    ['Installment Amount', 'no-85,93,94', 10, 'MONEY', 743, 752, '$$00 (must have trailing 00 with no decimal point)'],
    ['Frequency', 'no-85,92,94', 1, 'CHAR', 753, 753, 'list of valid codes'],
    ['Payments in Schedule', 'no-85,92,93', 4, 'NUMBER', 754, 757, 'blank'],
    ['Gift Date', 'yes', 17, 'DATE %Y%m%d', 758, 774, 'YYYYMMDD'],
    ['Payment Method', 'yes, 97-8 & 339 if B%', 2, 'CHAR', 775, 776, 'never blank:  CK, MO, BA, BD, BM, BV, BX, EF'],
    ['Charge Card Number', 'no-96,98, 339', 16, 'CHAR', 777, 792, 'last 4 digits'],
    ['Charge Expire Date', 'no-96,97, 339', 4, 'DATE %m%y', 793, 796, 'MMRR'],
    ['Charge Card First Name', 'no', 20, 'CHAR', 797, 816, 'can be blank.'],
    ['Charge Card Last Name', 'no', 40, 'CHAR', 817, 856, 'can be blank.'],
    ['Charge Card Address Line', 'no', 50, 'CHAR', 857, 906, 'can be blank.'],
    ['Charge Card City', 'no', 30, 'CHAR', 907, 936, 'can be blank.'],
    ['Charge Card State', 'no', 2, 'CHAR', 937, 938, 'can be blank.'],
    ['Charge Card Zip Code', 'no', 8, 'CHAR', 939, 946, 'can be blank.'],
    ['Bank ID', 'no', 20, 'CHAR', 947, 966, 'can be blank.'],
    ['Bank Account', 'no', 20, 'CHAR', 967, 986, 'can be blank.'],
    ['EFT Status', 'no', 2, 'CHAR', 987, 988, 'A or blank'],
    ['Acquired Batch Number', 'no', 9, 'CHAR', 989, 997, 'blank'],
    ['Acquired Batch Seq', 'no', 2, 'CHAR', 998, 999, 'blank'],
    ['Page Number', 'no', 2, 'CHAR', 1000, 1001, ''],
    ['Total Pledge Amount', 'no', 11, 'MONEY', 1002, 1012, ''],
    ['Volunteer Name (TA will ignore)', 'no', 10, 'CHAR', 1013, 1022, 'TA will not upload this field, it will be ignored.'],
    ['Classification Name ID 1', 'no', 2, 'CHAR', 1023, 1024, ''],
    ['Classification Name Order 1', 'no', 2, 'CHAR', 1025, 1026, ''],
    ['Classification Code 1', 'no-116', 12, 'CHAR', 1027, 1038, 'list of valid codes'],
    ['Classification Value 1', 'no-115', 12, 'CHAR', 1039, 1050, 'list of valid codes'],
    ['Classification Start Date 1', 'no', 8, 'DATE %Y%m%d', 1051, 1058, 'YYYYMMDD, blank will default to upload date.'],
    ['Classification End Date 1', 'no', 8, 'DATE %Y%m%d', 1059, 1066, 'YYYYMMDD, always blank'],
    ['Classification 1 Status', 'no', 2, 'CHAR', 1067, 1068, 'blank will default to active'],
    ['Classification Name ID 2', 'no', 2, 'CHAR', 1069, 1070, ''],
    ['Classification Name Order 2', 'no', 2, 'CHAR', 1071, 1072, ''],
    ['Classification Code 2', 'no-123', 12, 'CHAR', 1073, 1084, 'list of valid codes'],
    ['Classification Value 2', 'no-122', 12, 'CHAR', 1085, 1096, 'list of valid codes'],
    ['Classification Start Date 2', 'no', 8, 'DATE %Y%m%d', 1097, 1104, 'YYYYMMDD, blank will default to upload date.'],
    ['Classification End Date 2', 'no', 8, 'DATE %Y%m%d', 1105, 1112, 'YYYYMMDD, always blank'],
    ['Classification 2 Status', 'no', 2, 'CHAR', 1113, 1114, 'blank will default to active'],
    ['Classification Name ID 3', 'no', 2, 'CHAR', 1115, 1116, ''],
    ['Classification Name Order 3', 'no', 2, 'CHAR', 1117, 1118, ''],
    ['Classification Code 3', 'no-130', 12, 'CHAR', 1119, 1130, 'list of valid codes'],
    ['Classification Value 3', 'no-129', 12, 'CHAR', 1131, 1142, 'list of valid codes'],
    ['Classification Start Date 3', 'no', 8, 'DATE %Y%m%d', 1143, 1150, 'YYYYMMDD, blank will default to upload date.'],
    ['Classification End Date 3', 'no', 8, 'DATE %Y%m%d', 1151, 1158, 'YYYYMMDD, always blank'],
    ['Classification 3 Status', 'no', 2, 'CHAR', 1159, 1160, 'blank will default to active'],
    ['Classification Name ID 4', 'no', 2, 'CHAR', 1161, 1162, ''],
    ['Classification Name Order 4', 'no', 2, 'CHAR', 1163, 1164, ''],
    ['Classification Code 4', 'no-137', 12, 'CHAR', 1165, 1176, 'list of valid codes'],
    ['Classification Value 4', 'no-136', 12, 'CHAR', 1177, 1188, 'list of valid codes'],
    ['Classification Start Date 4', 'no', 8, 'DATE %Y%m%d', 1189, 1196, 'YYYYMMDD, blank will default to upload date.'],
    ['Classification End Date 4', 'no', 8, 'DATE %Y%m%d', 1197, 1204, 'YYYYMMDD, always blank'],
    ['Classification 4 Status', 'no', 2, 'CHAR', 1205, 1206, 'blank will default to active'],
    ['Interest 1', 'no', 8, 'CHAR', 1207, 1214, 'blank or list of valid codes'],
    ['Interest 2', 'no', 8, 'CHAR', 1215, 1222, 'blank or list of valid codes'],
    ['Interest 3', 'no', 8, 'CHAR', 1223, 1230, 'blank or list of valid codes'],
    ['Interest 4', 'no', 8, 'CHAR', 1231, 1238, 'blank or list of valid codes'],
    ['Interaction Category 1', 'no-146,147,151', 2, 'CHAR', 1239, 1240, '(was called contact) list of valid codes'],
    ['Interaction Type 1', 'no-145,147,151', 8, 'CHAR', 1241, 1248, 'list of valid codes'],
    ['Interaction Date 1', 'no-145,146,151', 10, 'DATE %Y%m%d', 1249, 1258, 'YYYYMMDD'],
    ['Interaction To Staff 1', 'no', 12, 'CHAR', 1259, 1270, ''],
    ['Interaction Status 1', 'no', 2, 'CHAR', 1271, 1272, ''],
    ['Interaction Tickler Start Date 1', 'no', 9, 'DATE %Y%m%d', 1273, 1281, 'YYYYMMDD'],
    ['Interaction Sum 1', 'no-145,146,147', 80, 'CHAR', 1282, 1361, '(short title for comment #1)'],
    ['Long Comments 1', 'no', 200, 'CHAR', 1362, 1561, 'Comment associated to Interaction #1'],
    ['Interaction Category 2', 'no-154,155,159', 2, 'CHAR', 1562, 1563, '(was called contact) list of valid codes'],
    ['Interaction Type 2', 'no-153,155,159', 8, 'CHAR', 1564, 1571, 'list of valid codes'],
    ['Interaction Date 2', 'no-153,154,159', 10, 'DATE %Y%m%d', 1572, 1581, 'YYYYMMDD'],
    ['Interaction To Staff 2', 'no', 12, 'CHAR', 1582, 1593, ''],
    ['Interaction Status 2', 'no', 2, 'CHAR', 1594, 1595, ''],
    ['Interaction Tickler Start Date 2', 'no', 9, 'DATE %Y%m%d', 1596, 1604, 'YYYYMMDD'],
    ['Interaction Sum 2', 'no-153,154,155', 80, 'CHAR', 1605, 1684, '(short title for comment #1)'],
    ['Long Comments 2', 'no', 200, 'CHAR', 1685, 1884, 'Comment associated to Interaction #1'],
    ['Interaction Category 3', 'no-162,163,167', 2, 'CHAR', 1885, 1886, '(was called contact) list of valid codes'],
    ['Interaction Type 3', 'no-161,163,167', 8, 'CHAR', 1887, 1894, 'list of valid codes'],
    ['Interaction Date 3', 'no-161,162,167', 10, 'DATE %Y%m%d', 1895, 1904, 'YYYYMMDD'],
    ['Interaction To Staff 3', 'no', 12, 'CHAR', 1905, 1916, ''],
    ['Interaction Status 3', 'no', 2, 'CHAR', 1917, 1918, ''],
    ['Interaction Tickler Start Date 3', 'no', 9, 'DATE %Y%m%d', 1919, 1927, 'YYYYMMDD'],
    ['Interaction Sum 3', 'no-161,162,163', 80, 'CHAR', 1928, 2007, '(short title for comment #1)'],
    ['Long Comments 3', 'no', 200, 'CHAR', 2008, 2207, 'Comment associated to Interaction #1'],
    ['Interaction Category 4', 'no-170,171,175', 2, 'CHAR', 2208, 2209, '(was called contact) list of valid codes'],
    ['Interaction Type 4', 'no-169,171,175', 8, 'CHAR', 2210, 2217, 'list of valid codes'],
    ['Interaction Date 4', 'no-169,170,175', 10, 'DATE %Y%m%d', 2218, 2227, 'YYYYMMDD'],
    ['Interaction To Staff 4', 'no', 12, 'CHAR', 2228, 2239, ''],
    ['Interaction Status 4', 'no', 2, 'CHAR', 2240, 2241, ''],
    ['Interaction Tickler Start Date 4', 'no', 9, 'DATE %Y%m%d', 2242, 2250, 'YYYYMMDD'],
    ['Interaction Sum 4', 'no-169,170,171', 80, 'CHAR', 2251, 2330, '(short title for comment #1)'],
    ['Long Comments 4', 'no', 200, 'CHAR', 2331, 2530, 'Comment associated to Interaction #1'],
    ['Premium 1', 'no', 8, 'CHAR', 2531, 2538, 'The premium code.'],
    ['Premium 1 to Recipient', 'no-see 181-191 if Y', 1, 'BOOL', 2539, 2539, '(N; or Y if receiver is not pledger)'],
    ['Renewal to Recipient', 'no', 1, 'CHAR', 2540, 2540, 'blank'],
    ['Recipient Title', 'no', 8, 'CHAR', 2541, 2548, '(only premium #1)'],
    ['Recipient First Name', 'no-178', 20, 'CHAR', 2549, 2568, ''],
    ['Recipient Middle Name', 'no', 20, 'CHAR', 2569, 2588, ''],
    ['Recipient Last Name', 'no-178', 40, 'CHAR', 2589, 2628, ''],
    ['Recipient Suffix', 'no', 5, 'CHAR', 2629, 2633, ''],
    ['Recipient Street Number', 'no-178', 8, 'CHAR', 2634, 2641, ''],
    ['Recipient Street Name', 'no-178', 30, 'CHAR', 2642, 2671, ''],
    ['Recipient Apartment Number', 'no', 8, 'CHAR', 2672, 2679, ''],
    ['Recipient Extra Line', 'no', 40, 'CHAR', 2680, 2719, ''],
    ['Recipient City', 'no-178', 30, 'CHAR', 2720, 2749, ''],
    ['Recipient State', 'no-178', 2, 'CHAR', 2750, 2751, ''],
    ['Recipient Zip Code', 'no-178', 8, 'CHAR', 2752, 2759, ''],
    ['Recipient Zip Extension', 'no', 4, 'CHAR', 2760, 2763, ''],
    ['Premium 2', 'no', 8, 'CHAR', 2764, 2771, 'The premium code.'],
    ['Premium 2 to Recipient', 'no', 1, 'BOOL', 2772, 2772, 'Y or N (y results in Prem#1 receiver getting this prem, n=-giver)'],
    ['Premium 3', 'no', 8, 'CHAR', 2773, 2780, 'The premium code.'],
    ['Premium 3 to Recipient', 'no', 1, 'BOOL', 2781, 2781, 'Y or N (y results in Prem#1 receiver getting this prem, n=-giver)'],
    ['Premium 4', 'no', 8, 'CHAR', 2782, 2789, 'The premium code.'],
    ['Premium 4 to Recipient', 'no', 1, 'BOOL', 2790, 2790, 'Y or N (y results in Prem#1 receiver getting this prem, n=-giver)'],
    ['Premium 5', 'no', 8, 'CHAR', 2791, 2798, 'The premium code.'],
    ['Premium 5 to Recipient', 'no', 1, 'BOOL', 2799, 2799, 'Y or N (y results in Prem#1 receiver getting this prem, n=-giver)'],
    ['Premium 6', 'no', 8, 'CHAR', 2800, 2807, 'The premium code.'],
    ['Premium 6 to Recipient', 'no', 1, 'BOOL', 2808, 2808, 'Y or N (y results in Prem#1 receiver getting this prem, n=-giver)'],
    ['Premium 7', 'no', 8, 'CHAR', 2809, 2816, 'The premium code.'],
    ['Premium 7 to Recipient', 'no', 1, 'BOOL', 2817, 2817, 'Y or N (y results in Prem#1 receiver getting this prem, n=-giver)'],
    ['Premium 8', 'no', 8, 'CHAR', 2818, 2825, 'The premium code.'],
    ['Premium 8 to Recipient', 'no', 1, 'BOOL', 2826, 2826, 'Y or N (y results in Prem#1 receiver getting this prem, n=-giver)'],
    ['Premium 9', 'no', 8, 'CHAR', 2827, 2834, 'The premium code.'],
    ['Premium 9 to Recipient', 'no', 1, 'BOOL', 2835, 2835, 'Y or N (y results in Prem#1 receiver getting this prem, n=-giver)'],
    ['Premium 10', 'no', 8, 'CHAR', 2836, 2843, 'The premium code.'],
    ['Premium 10 to Recipient', 'no', 1, 'BOOL', 2844, 2844, 'Y or N (y results in Prem#1 receiver getting this prem, n=-giver)'],
    ['Premium 1 Attribute 1', 'no', 40, 'CHAR', 2845, 2884, 'could be shirt size, etc. not using for now:  blank'],
    ['Premium 1 Value 1', 'no', 60, 'CHAR', 2885, 2944, 'blank'],
    ['Premium 1 Attribute 2', 'no', 40, 'CHAR', 2945, 2984, 'blank'],
    ['Premium 1 Value 2', 'no', 60, 'CHAR', 2985, 3044, 'blank'],
    ['Premium 1 Attribute 3', 'no', 40, 'CHAR', 3045, 3084, 'blank'],
    ['Premium 1 Value 3', 'no', 60, 'CHAR', 3085, 3144, 'blank'],
    ['Premium 2 Attribute 1', 'no', 40, 'CHAR', 3145, 3184, 'blank'],
    ['Premium 2 Value 1', 'no', 60, 'CHAR', 3185, 3244, 'blank'],
    ['Premium 2 Attribute 2', 'no', 40, 'CHAR', 3245, 3284, 'blank'],
    ['Premium 2 Value 2', 'no', 60, 'CHAR', 3285, 3344, 'blank'],
    ['Premium 2 Attribute 3', 'no', 40, 'CHAR', 3345, 3384, 'blank'],
    ['Premium 2 Value 3', 'no', 60, 'CHAR', 3385, 3444, 'blank'],
    ['Premium 3 Attribute 1', 'no', 40, 'CHAR', 3445, 3484, 'blank'],
    ['Premium 3 Value 1', 'no', 60, 'CHAR', 3485, 3544, 'blank'],
    ['Premium 3 Attribute 2', 'no', 40, 'CHAR', 3545, 3584, 'blank'],
    ['Premium 3 Value 2', 'no', 60, 'CHAR', 3585, 3644, 'blank'],
    ['Premium 3 Attribute 3', 'no', 40, 'CHAR', 3645, 3684, 'blank'],
    ['Premium 3 Value 3', 'no', 60, 'CHAR', 3685, 3744, 'blank'],
    ['Premium 4 Attribute 1', 'no', 40, 'CHAR', 3745, 3784, 'blank'],
    ['Premium 4 Value 1', 'no', 60, 'CHAR', 3785, 3844, 'blank'],
    ['Premium 4 Attribute 2', 'no', 40, 'CHAR', 3845, 3884, 'blank'],
    ['Premium 4 Value 2', 'no', 60, 'CHAR', 3885, 3944, 'blank'],
    ['Premium 4 Attribute 3', 'no', 40, 'CHAR', 3945, 3984, 'blank'],
    ['Premium 4 Value 3', 'no', 60, 'CHAR', 3985, 4044, 'blank'],
    ['Premium 5 Attribute 1', 'no', 40, 'CHAR', 4045, 4084, 'blank'],
    ['Premium 5 Value 1', 'no', 60, 'CHAR', 4085, 4144, 'blank'],
    ['Premium 5 Attribute 2', 'no', 40, 'CHAR', 4145, 4184, 'blank'],
    ['Premium 5 Value 2', 'no', 60, 'CHAR', 4185, 4244, 'blank'],
    ['Premium 5 Attribute 3', 'no', 40, 'CHAR', 4245, 4284, 'blank'],
    ['Premium 5 Value 3', 'no', 60, 'CHAR', 4285, 4344, 'blank'],
    ['Premium 6 Attribute 1', 'no', 40, 'CHAR', 4345, 4384, 'blank'],
    ['Premium 6 Value 1', 'no', 60, 'CHAR', 4385, 4444, 'blank'],
    ['Premium 6 Attribute 2', 'no', 40, 'CHAR', 4445, 4484, 'blank'],
    ['Premium 6 Value 2', 'no', 60, 'CHAR', 4485, 4544, 'blank'],
    ['Premium 6 Attribute 3', 'no', 40, 'CHAR', 4545, 4584, 'blank'],
    ['Premium 6 Value 3', 'no', 60, 'CHAR', 4585, 4644, 'blank'],
    ['Premium 7 Attribute 1', 'no', 40, 'CHAR', 4645, 4684, 'blank'],
    ['Premium 7 Value 1', 'no', 60, 'CHAR', 4685, 4744, 'blank'],
    ['Premium 7 Attribute 2', 'no', 40, 'CHAR', 4745, 4784, 'blank'],
    ['Premium 7 Value 2', 'no', 60, 'CHAR', 4785, 4844, 'blank'],
    ['Premium 7 Attribute 3', 'no', 40, 'CHAR', 4845, 4884, 'blank'],
    ['Premium 7 Value 3', 'no', 60, 'CHAR', 4885, 4944, 'blank'],
    ['Premium 8 Attribute 1', 'no', 40, 'CHAR', 4945, 4984, 'blank'],
    ['Premium 8 Value 1', 'no', 60, 'CHAR', 4985, 5044, 'blank'],
    ['Premium 8 Attribute 2', 'no', 40, 'CHAR', 5045, 5084, 'blank'],
    ['Premium 8 Value 2', 'no', 60, 'CHAR', 5085, 5144, 'blank'],
    ['Premium 8 Attribute 3', 'no', 40, 'CHAR', 5145, 5184, 'blank'],
    ['Premium 8 Value 3', 'no', 60, 'CHAR', 5185, 5244, 'blank'],
    ['Premium 9 Attribute 1', 'no', 40, 'CHAR', 5245, 5284, 'blank'],
    ['Premium 9 Value 1', 'no', 60, 'CHAR', 5285, 5344, 'blank'],
    ['Premium 9 Attribute 2', 'no', 40, 'CHAR', 5345, 5384, 'blank'],
    ['Premium 9 Value 2', 'no', 60, 'CHAR', 5385, 5444, 'blank'],
    ['Premium 9 Attribute 3', 'no', 40, 'CHAR', 5445, 5484, 'blank'],
    ['Premium 9 Value 3', 'no', 60, 'CHAR', 5485, 5544, 'blank'],
    ['Premium 10 Attribute 1', 'no', 40, 'CHAR', 5545, 5584, 'blank'],
    ['Premium 10 Value 1', 'no', 60, 'CHAR', 5585, 5644, 'blank'],
    ['Premium 10 Attribute 2', 'no', 40, 'CHAR', 5645, 5684, 'blank'],
    ['Premium 10 Value 2', 'no', 60, 'CHAR', 5685, 5744, 'blank'],
    ['Premium 10 Attribute 3', 'no', 40, 'CHAR', 5745, 5784, 'blank'],
    ['Premium 10  Value 3', 'no', 60, 'CHAR', 5785, 5844, 'blank'],
    ['Memorial Kind', 'no', 1, 'CHAR', 5845, 5845, 'blank'],
    ['Memorial Name', 'no', 40, 'CHAR', 5846, 5885, 'blank'],
    ['Memorial Type', 'no', 2, 'CHAR', 5886, 5887, 'H/M  or blank'],
    ['Tribute Account ID', 'no', 8, 'CHAR', 5888, 5895, 'blank'],
    ['Tribute Name ID', 'no', 2, 'NUMBER', 5896, 5897, 'blank'],
    ['Tribute Name Order', 'no', 2, 'NUMBER', 5898, 5899, 'blank'],
    ['Tribute Title 1', 'no', 8, 'CHAR', 5900, 5907, 'blank'],
    ['Tribute First Name 1', 'no', 20, 'CHAR', 5908, 5927, 'blank'],
    ['Tribute Middle Name 1', 'no', 20, 'CHAR', 5928, 5947, 'blank'],
    ['Tribute Last Name 1', 'no', 40, 'CHAR', 5948, 5987, 'blank'],
    ['Tribute Suffix 1', 'no', 8, 'CHAR', 5988, 5995, 'blank'],
    ['Tribute Title 2', 'no', 8, 'CHAR', 5996, 6003, 'blank'],
    ['Tribute First Name 2', 'no', 20, 'CHAR', 6004, 6023, 'blank'],
    ['Tribute Middle Name 2', 'no', 20, 'CHAR', 6024, 6043, 'blank'],
    ['Tribute Last Name 2', 'no', 40, 'CHAR', 6044, 6083, 'blank'],
    ['Tribute Suffix 2', 'no', 8, 'CHAR', 6084, 6091, 'blank'],
    ['Tribute Street Number', 'no', 8, 'CHAR', 6092, 6099, 'blank'],
    ['Tribute Street Name', 'no', 30, 'CHAR', 6100, 6129, 'blank'],
    ['Tribute Apartment Number', 'no', 8, 'CHAR', 6130, 6137, 'blank'],
    ['Tribute Extra Line', 'no', 40, 'CHAR', 6138, 6177, 'blank'],
    ['Tribute City', 'no', 30, 'CHAR', 6178, 6207, 'blank'],
    ['Tribute State', 'no', 2, 'CHAR', 6208, 6209, 'blank'],
    ['Tribute Zip Code', 'no', 8, 'CHAR', 6210, 6217, 'blank'],
    ['Tribute Zip Extension', 'no', 4, 'CHAR', 6218, 6221, 'blank'],
    ['Tribute Telephone Type 1', 'no', 2, 'CHAR', 6222, 6223, 'blank'],
    ['Tribute Telephone Number 1', 'no', 20, 'CHAR', 6224, 6243, 'blank'],
    ['Notify Account Type', 'no', 2, 'CHAR', 6244, 6245, 'blank'],
    ['Notify Account ID', 'no', 8, 'CHAR', 6246, 6253, 'blank'],
    ['Notify Name ID', 'no', 2, 'NUMBER', 6254, 6255, 'blank'],
    ['Notify Name Order', 'no', 2, 'NUMBER', 6256, 6257, 'blank'],
    ['Notify Title 1', 'no', 8, 'CHAR', 6258, 6265, 'blank'],
    ['Notify First Name 1', 'no', 20, 'CHAR', 6266, 6285, 'blank'],
    ['Notify Middle Name 1', 'no', 20, 'CHAR', 6286, 6305, 'blank'],
    ['Notify Last Name 1', 'no', 40, 'CHAR', 6306, 6345, 'blank'],
    ['Notify Suffix 1', 'no', 8, 'CHAR', 6346, 6353, 'blank'],
    ['Notify Title 2', 'no', 8, 'CHAR', 6354, 6361, 'blank'],
    ['Notify First Name 2', 'no', 20, 'CHAR', 6362, 6381, 'blank'],
    ['Notify Middle Name 2', 'no', 20, 'CHAR', 6382, 6401, 'blank'],
    ['Notify Last Name 2', 'no', 40, 'CHAR', 6402, 6441, 'blank'],
    ['Notify Suffix 2', 'no', 8, 'CHAR', 6442, 6449, 'blank'],
    ['Notify Street Number', 'no', 8, 'CHAR', 6450, 6457, 'blank'],
    ['Notify Street Name', 'no', 30, 'CHAR', 6458, 6487, 'blank'],
    ['Notify Apartment Number', 'no', 8, 'CHAR', 6488, 6495, 'blank'],
    ['Notify Extra Line', 'no', 40, 'CHAR', 6496, 6535, 'blank'],
    ['Notify City', 'no', 30, 'CHAR', 6536, 6565, 'blank'],
    ['Notify State', 'no', 2, 'CHAR', 6566, 6567, 'blank'],
    ['Notify Zip Code', 'no', 8, 'CHAR', 6568, 6575, 'blank'],
    ['Notify Zip Extension', 'no', 4, 'CHAR', 6576, 6579, 'blank'],
    ['Notify Telephone Type 1', 'no', 2, 'CHAR', 6580, 6581, 'blank'],
    ['Notify Telephone Number 1', 'no', 20, 'CHAR', 6582, 6601, 'blank'],
    ['Gift Type', 'no', 2, 'CHAR', 6602, 6603, ''],
    ['Classification Name ID 5', 'no', 2, 'CHAR', 6604, 6605, ''],
    ['Classification Name Order 5', 'no', 2, 'CHAR', 6606, 6607, ''],
    ['Classification Code 5', 'no', 12, 'CHAR', 6608, 6619, 'list of valid codes'],
    ['Classification Value 5', 'no', 12, 'CHAR', 6620, 6631, 'list of valid codes'],
    ['Classification Start Date 5', 'no', 8, 'DATE %Y%m%d', 6632, 6639, 'YYYYMMDD, blank will default to upload date.'],
    ['Classification End Date 5', 'no', 8, 'DATE %Y%m%d', 6640, 6647, 'YYYYMMDD, always blank'],
    ['Classification Status 5', 'no', 2, 'CHAR', 6648, 6649, 'blank will default to active'],
    ['Classification Name ID 6', 'no', 2, 'CHAR', 6650, 6651, ''],
    ['Classification Name Order 6', 'no', 2, 'CHAR', 6652, 6653, ''],
    ['Classification Code 6', 'no', 12, 'CHAR', 6654, 6665, 'list of valid codes'],
    ['Classification Value 6', 'no', 12, 'CHAR', 6666, 6677, 'list of valid codes'],
    ['Classification Start Date 6', 'no', 8, 'DATE %Y%m%d', 6678, 6685, 'YYYYMMDD, blank will default to upload date.'],
    ['Classification End Date 6', 'no', 8, 'DATE %Y%m%d', 6686, 6693, 'YYYYMMDD, always blank'],
    ['Classification Status 6', 'no', 2, 'CHAR', 6694, 6695, 'blank will default to active'],
    ['Check Number', 'no', 10, 'CHAR', 6696, 6705, ''],
    ['Bank Approval Code', 'no', 6, 'CHAR', 6706, 6711, ''],
    ['Acquisition ID', 'no', 8, 'CHAR', 6712, 6719, 'Acquisition ID is alpha-numeric (1st campaign=A, second=B, etc.; followed by number assigned to records.'],
    ['Charge Card Alias', 'no, 96-98', 100, 'CHAR', 6720, 6819, '']
    ]

